summaryrefslogtreecommitdiffstats
path: root/make_slackware_live.sh
diff options
context:
space:
mode:
Diffstat (limited to 'make_slackware_live.sh')
-rwxr-xr-xmake_slackware_live.sh20
1 files changed, 19 insertions, 1 deletions
diff --git a/make_slackware_live.sh b/make_slackware_live.sh
index 0e79070..6c92546 100755
--- a/make_slackware_live.sh
+++ b/make_slackware_live.sh
@@ -129,6 +129,9 @@ MARKER=${MARKER:-"SLACKWARELIVE"}
# The filesystem label we will be giving our ISO:
MEDIALABEL=${MEDIALABEL:-"LIVESLAK"}
+# For x86_64 you can add multilib:
+MULTILIB=${MULTILIB:-"NO"}
+
# The name of the directory used for storing persistence data:
PERSISTENCE=${PERSISTENCE:-"persistence"}
@@ -596,7 +599,7 @@ EOL
# Action!
# ---------------------------------------------------------------------------
-while getopts "a:d:efhm:r:s:t:vz:HO:R:X" Option
+while getopts "a:d:efhm:r:s:t:vz:H:MO:R:X" Option
do
case $Option in
h )
@@ -629,6 +632,7 @@ do
echo " -v Show debug/error output."
echo " -z version Define your ${DISTRO^} version (default: $SL_VERSION)."
echo " -H hostname Hostname of the Live OS (default: $LIVE_HOSTNAME)."
+ echo " -M Add multilib (x86_64 only)."
echo " -O outfile Custom filename for the ISO."
echo " -R runlevel Runlevel to boot into (default: $RUNLEVEL)."
echo " -X Use xorriso instead of mkisofs/isohybrid."
@@ -656,6 +660,8 @@ do
;;
H ) LIVE_HOSTNAME="${OPTARG}"
;;
+ M ) MULTILIB="YES"
+ ;;
O ) OUTFILE="${OPTARG}"
OUTPUT="$(cd $(dirname "${OUTFILE}"); pwd)"
;;
@@ -692,6 +698,11 @@ if [ $RUNLEVEL -ne 3 -a $RUNLEVEL -ne 4 ]; then
exit 1
fi
+if [ "$SL_ARCH" != "x86_64" -a "$MULTILIB" = "YES" ]; then
+ echo ">> Multilib is only supported on x86_64 architecture."
+ exit 1
+fi
+
# Directory suffix, arch dependent:
if [ "$SL_ARCH" = "x86_64" ]; then
DIRSUFFIX="64"
@@ -800,8 +811,15 @@ case "$LIVEDE" in
;;
esac
+# Do we need to include multilib?
+if [ "$MULTILIB" = "YES" ]; then
+ echo "-- Adding multilib."
+ MSEQ="${MSEQ} pkglist:multilib"
+fi
+
# Do we need to create/include additional module(s) defined by a pkglist:
if [ -n "$SEQ_ADDMOD" ]; then
+ echo "-- Adding ${SEQ_ADDMOD}."
MSEQ="${MSEQ} pkglist:${SEQ_ADDMOD}"
fi